# Interface ModuleRegisteredEventData

#### Hierarchy

- EventData
  - ModuleRegisteredEventData
    - NodeModuleEventData

- Defined in modules/packages/node/packages/model/dist/types/Events/ModuleRegistered.d.ts:3

#####
Index

### Properties

moduleRegistered

## Properties

### moduleRegistered

moduleRegistered: {
module: Module<ModuleParams<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: string;
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<Omit<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: "network.xyo.module.config";
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<undefined, "schema">, "schema"> & {
schema: string;
}, "schema">, undefined>, ModuleEventData>;
}

#### Type declaration

- ##### module: Module<ModuleParams<SchemaFields & PayloadFields & {
  archivist?: ArchivistModuleConfig;
  name?: string;
  paging?: Record<string, {
  size?: number;
  }>;
  schema: string;
  security?: {
  allowAnonymous?: boolean;
  allowed?: Record<string, (string | CosigningAddressSet)[]>;
  disallowed?: Record<string, string[]>;
  };
  storeQueries?: boolean;
  } & Omit<Omit<SchemaFields & PayloadFields & {
  archivist?: ArchivistModuleConfig;
  name?: string;
  paging?: Record<string, {
  size?: number;
  }>;
  schema: "network.xyo.module.config";
  security?: {
  allowAnonymous?: boolean;
  allowed?: Record<string, (string | CosigningAddressSet)[]>;
  disallowed?: Record<string, string[]>;
  };
  storeQueries?: boolean;
  } & Omit<undefined, "schema">, "schema"> & {
  schema: string;
  }, "schema">, undefined>, ModuleEventData>

- Defined in modules/packages/node/packages/model/dist/types/Events/ModuleRegistered.d.ts:4

Generated using TypeDoc